export declare const base: {
    space: number[];
    fonts: {
        body: "system-ui, -apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, \"Helvetica Neue\", sans-serif";
        heading: "inherit";
        monospace: "Menlo, monospace";
    };
    fontSizes: number[];
    fontWeights: {
        body: number;
        heading: number;
        bold: number;
    };
    lineHeights: {
        body: number;
        heading: number;
    };
    colors: {
        text: "#000";
        background: "#fff";
        primary: "#07c";
        secondary: "#30c";
        muted: "#f6f6f6";
    };
    styles: {
        root: {
            fontFamily: "body";
            lineHeight: string;
            fontWeight: string;
        };
        h1: {
            fontSize: number;
            color: string;
            fontFamily: string;
            lineHeight: string;
            fontWeight: string;
        };
        h2: {
            fontSize: number;
            color: string;
            fontFamily: string;
            lineHeight: string;
            fontWeight: string;
        };
        h3: {
            fontSize: number;
            color: string;
            fontFamily: string;
            lineHeight: string;
            fontWeight: string;
        };
        h4: {
            fontSize: number;
            color: string;
            fontFamily: string;
            lineHeight: string;
            fontWeight: string;
        };
        h5: {
            fontSize: number;
            color: string;
            fontFamily: string;
            lineHeight: string;
            fontWeight: string;
        };
        h6: {
            fontSize: number;
            color: string;
            fontFamily: string;
            lineHeight: string;
            fontWeight: string;
        };
        p: {
            color: "text";
            fontFamily: "body";
            fontWeight: string;
            lineHeight: string;
        };
        a: {
            color: "primary";
        };
        pre: {
            fontFamily: "monospace";
            overflowX: "auto";
            code: {
                color: "inherit";
            };
        };
        code: {
            fontFamily: "monospace";
            fontSize: string;
        };
        table: {
            width: string;
            borderCollapse: "separate";
            borderSpacing: number;
        };
        th: {
            textAlign: "left";
            borderBottomStyle: string;
        };
        td: {
            textAlign: "left";
            borderBottomStyle: string;
        };
        img: {
            maxWidth: string;
        };
    };
};
export default base;
